﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Ch Input Imped VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Ext Input Imped VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) DC Gain Acc VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Bandwidth VER DOS /9500
INSTRUMENT:            Sub LeCroy WaveAce (1 yr) Horizontal Acc VER DOS /9500
DATE:                  2011-01-31 07:07:04
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       472
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#      FL, DAC, CAD
#
#  Model(s) Covered:
#      WaveAce 101, 102, 112, 202, 204, 212, 214, 222, 224, 232, 234
#
#  Source:
#      Lecroy WaveAce Performance Verification, Rev F
#
#  Compatibility:
#      MET/CAL 7.3 or later
#
#  Subprocedures:
#      Sub LeCroy WaveAce Select Channel & Trig Src DOS
#      Sub LeCroy WaveAce Send Command DOS
#      Sub LeCroy WaveAce Parameter Value Query DOS
#
#  Required Files
#      WaveAce.exe
#
#  Additional Equipment Required:
#      None
#
#  Due to OEM's policy of continuously updating products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, we cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Use a local variable with a short name to make room for long commands.
  1.001  MATH         Path = @DataPath

  1.002  IF           @Debug
  1.003  MATH         Time = TIME()
  1.004  RSLT         =
  1.005  RSLT         =DEBUG: Time stamp: [V Time]
  1.006  ENDIF

  1.007  JMPL         CH_INPUT_IMPEDANCE           PSUBI("Ch Input Imped")
  1.008  JMPL         EXT_INPUT_IMPEDANCE          PSUBI("Ext Input Imped")
  1.009  JMPL         DC_GAIN_ACCURACY             PSUBI("DC Gain Acc")
  1.010  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.011  JMPL         HORIZONTAL_ACCURACY          PSUBI("Horizontal Acc")
  1.012  DISP         Subprocedure not found!
  1.013  END

  1.014  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) Ch Input Imped VER DOS /9500 =====================

  2.001  LABEL        CH_INPUT_IMPEDANCE

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {INPUT IMPEDANCE}
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         INPUT IMPEDANCE: {Channel [V @Chan]}
  2.008  RSLT         =
  2.009  TARGET       -p
# *RST selects 100 mV/div and 500 µs/div.
  2.010  DOS          -x WaveAce.exe [V Path] *RST

# Prevent UUT from entering screen saver mode to prevent intermittent
# communication errors.
  2.011  MATH         @CmdFunc = "SCSV"; @CmdType = "NO"
  2.012  CALL         Sub LeCroy WaveAce Send Command DOS

  2.013  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
  2.014  CALL         Sub LeCroy WaveAce Send Command DOS

  2.015  TSET         TDESC = DC 1 MOhm, 100 mV/div
  2.016  TARGET       -m
  2.017  9500         1.000MZ        2%                              ZM    2W

  3.001  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "A1M"
  3.002  CALL         Sub LeCroy WaveAce Send Command DOS

  3.003  TSET         TDESC = AC 1 MOhm, 100 mV/div
  3.004  TARGET       -m
  3.005  9500         1.200MZ        2%                              ZM    2W

  4.001  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.2"
  4.002  MATH         @CmdType2 = "200MV"
  4.003  CALL         Sub LeCroy WaveAce Send Command DOS

  4.004  TSET         TDESC = AC 1 MOhm, 200 mV/div
  4.005  TARGET       -m
  4.006  9500         1.000MZ        2%                              ZM    2W

  5.001  IF           @Bandwidth >= 200E+6
  5.002  TARGET       -p

  5.003  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D50"
  5.004  CALL         Sub LeCroy WaveAce Send Command DOS

  5.005  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.1"
  5.006  MATH         @CmdType2 = "100MV"
  5.007  CALL         Sub LeCroy WaveAce Send Command DOS

  5.008  TSET         TDESC = DC 50 Ohm, 100 mV/div
  5.009  TARGET       -m
  5.010  9500         50.00Z         2%                              ZM    2W
  6.001  ENDIF

  6.002  HEAD
  6.003  HEAD         -2
  6.004  M9500        *
  6.005  9500         *                                                 S
  6.006  END

  6.007  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) Ext Input Imped VER DOS /9500 ====================

  7.001  LABEL        EXT_INPUT_IMPEDANCE

  7.002  RSLT         =
  7.003  HEAD         INPUT IMPEDANCE: {External Trigger}
  7.004  RSLT         =
  7.005  TARGET       -p
  7.006  DOS          -x WaveAce.exe [V Path] *RST

# Prevent UUT from entering screen saver mode to prevent intermittent
# communication errors.
  7.007  MATH         @CmdFunc = "SCSV"; @CmdType = "NO"
  7.008  CALL         Sub LeCroy WaveAce Send Command DOS

  7.009  MATH         @CmdFunc = "EX:TRCP"; @CmdType = "DC"
  7.010  CALL         Sub LeCroy WaveAce Send Command DOS

  7.011  TSET         TDESC = EXT
  7.012  TARGET       -m
  7.013  9500         1.000MZ        2%                              ZM    2W

  8.001  MATH         @CmdFunc = "EX5:TRCP"; @CmdType = "DC"
  8.002  CALL         Sub LeCroy WaveAce Send Command DOS

  8.003  TSET         TDESC = EXT/5
  8.004  TARGET       -m
  8.005  9500         1.000MZ        2%                              ZM    2W

  9.001  HEAD
  9.002  HEAD         -2
  9.003  M9500        *
  9.004  9500         *                                                 S
  9.005  END

  9.006  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) DC Gain Acc VER DOS /9500 ========================

 10.001  LABEL        DC_GAIN_ACCURACY

 10.002  IF           @Chan == 1
 10.003  RSLT         =
 10.004  HEAD         {DC GAIN ACCURACY}: Channel [V @Chan]
 10.005  ENDIF

 10.006  RSLT         =
 10.007  HEAD         DC GAIN ACCURACY: {Channel [V @Chan]}
 10.008  RSLT         =
 10.009  MATH         @Head2 = "5 mV/div"
 10.010  HEAD         -2 [V @Head2]

 10.011  TARGET       -p
 10.012  TSET         TDESC = 5 mV/div
 10.013  DOS          -x WaveAce.exe [V Path] *RST
 10.014  CALL         Sub LeCroy WaveAce Select Channel & Trig Src DOS

 10.015  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
 10.016  CALL         Sub LeCroy WaveAce Send Command DOS

 10.017  MATH         @CmdFunc = "BWL" ; @CmdType = "C" & @Chan & ", ON"
 10.018  MATH         @CmdType2 = "C" & @Chan & ",ON"
 10.019  CALL         Sub LeCroy WaveAce Send Command DOS

 10.020  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.005"
 10.021  MATH         @CmdType2 = "5.00MV"
 10.022  CALL         Sub LeCroy WaveAce Send Command DOS

 10.023  MATH         @CmdFunc = "TDIV"; @CmdType = "5US"
 10.024  CALL         Sub LeCroy WaveAce Send Command DOS

 10.025  DOS          -x WaveAce.exe [V Path] PACU 1,MEAN,C[V @Chan]

 10.026  TARGET       -m
 10.027  9500         15.0mV                                            S
 10.028  WAIT         -t 5 Settling...
 10.029  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 10.030  MATH         L[1] = MEM / 1E-3

 10.031  9500         -15.0mV                                           S
 10.032  WAIT         -t 5 Settling...
 10.033  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 10.034  MATH         L[2] = MEM / 1E-3
 10.035  MATH         L[3] = RSS2(REFACC(), REFACC()) / 1E-3
 10.036  ACC    5     30.00mV        L3U

# Calculate delta at 6 divisions.
 10.037  MATH         MEM = ABS(L[2] - L[1])
 10.038  MEMCX        30.00mV        0.90U

 11.001  MATH         @Head2 = "200 mV/div"
 11.002  HEAD         -2 [V @Head2]
 11.003  TARGET       -p
 11.004  TSET         TDESC = 200 mV/div

 11.005  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.2"
 11.006  MATH         @CmdType2 = "200MV"
 11.007  CALL         Sub LeCroy WaveAce Send Command DOS

 11.008  TARGET       -m
 11.009  9500         600mV                                             S
 11.010  WAIT         -t 7 Settling...
 11.011  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 11.012  MATH         L[1] = MEM / 1E-3

 11.013  9500         -600mV                                            S
 11.014  WAIT         -t 7 Settling...
 11.015  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 11.016  MATH         L[2] = MEM / 1E-3
 11.017  MATH         L[3] = RSS2(REFACC(), REFACC()) / 1E-3
 11.018  ACC    600   1200mV         L3U

# Calculate delta at 6 divisions.
 11.019  MATH         MEM = ABS(L[2] - L[1])
 11.020  MEMCX        1200.00mV      36.00U

 12.001  MATH         @Head2 = "2 V/div"
 12.002  HEAD         -2 [V @Head2]
 12.003  TARGET       -p
 12.004  TSET         TDESC = 2 V/div
 12.005  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "2"
 12.006  MATH         @CmdType2 = "2.00"
 12.007  CALL         Sub LeCroy WaveAce Send Command DOS

 12.008  TARGET       -m
 12.009  9500         6.00V                                             S
 12.010  WAIT         -t 5 Settling...
 12.011  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 12.012  MATH         L[1] = MEM

 12.013  9500         -6.00V                                            S
 12.014  WAIT         -t 5 Settling...
 12.015  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 12.016  MATH         L[2] = MEM
 12.017  MATH         L[3] = RSS2(REFACC(), REFACC())
 12.018  ACC    2     12.00V         L3U

# Calculate delta at 6 divisions.
 12.019  MATH         MEM = ABS(L[2] - L[1])
 12.020  MEMCX        12.00V         0.36U

 13.001  HEAD
 13.002  HEAD         -2
 13.003  MATH         DEL("@Head2")
 13.004  M9500        *
 13.005  9500         *                                                 S
 13.006  END

 13.007  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) Bandwidth VER DOS /9500 ==========================

 14.001  LABEL        BANDWIDTH

 14.002  IF           @Chan == 1
 14.003  RSLT         =
 14.004  HEAD         {BANDWIDTH}: Channel [V @Chan]
 14.005  RSLT         =
 14.006  ELSE
 14.007  HEAD         BANDWIDTH: Channel [V @Chan]
 14.008  ENDIF

# Target amplitude is 3 (±0.02) Vpp @ 50 kHz.
 14.009  MATH         TargetVpp  = 3; Delta = 0.02
 14.010  MATH         LowerLimit = TargetVpp - Delta
 14.011  MATH         UpperLimit = TargetVpp + Delta
 14.012  MATH         LimitAtBW  = TargetVpp * SQRT(2) / 2
 14.013  TARGET       -p
 14.014  DOS          -x WaveAce.exe [V Path] *RST
 14.015  CALL         Sub LeCroy WaveAce Select Channel & Trig Src DOS
 14.016  DOS          -x WaveAce.exe [V Path] PACU 1,PKPK,C[V @Chan]

 14.017  MATH         @CmdFunc = "C" & @Chan & ":VDIV"; @CmdType = "0.5"
 14.018  MATH         @CmdType2 = "500MV"
 14.019  CALL         Sub LeCroy WaveAce Send Command DOS

 14.020  MATH         @CmdFunc = "TDIV"; @CmdType = "10US"
 14.021  CALL         Sub LeCroy WaveAce Send Command DOS

 14.022  IF           @Bandwidth >= 200E+6
 14.023  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D50"
 14.024  CALL         Sub LeCroy WaveAce Send Command DOS
 14.025  ELSE
 14.026  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
 14.027  CALL         Sub LeCroy WaveAce Send Command DOS
 14.028  ENDIF

 14.029  TARGET       -m
 14.030  MATH         MEM = TargetVpp; SetVpp = MEM

 14.031  DO
 14.032  MATH         SetVpp = SetVpp + (TargetVpp - MEM) / 2

 14.033  IF           SetVpp > (TargetVpp + 2)
 14.034  DISP         9500 amplitude is [V SetVpp] Vpp and UUT reading of
 14.034  DISP         [V TargetVpp]±[V Delta] Vpp has not been achieved.
 14.034  DISP
 14.034  DISP         Check connections.
 14.034  DISP
 14.034  DISP         Select Advance to retry.  Select Terminate to abort.
 14.035  MATH         MEM = TargetVpp
 14.036  ENDIF

 14.037  MATH         MEM = SetVpp

 14.038  IF           @Bandwidth >= 200E+6
 14.039  9500         Vpp                          50kH           LS    S  L
 14.040  ELSE
 14.041  9500         Vpp                          50kH           LS    S
 14.042  ENDIF

 14.043  WAIT         -t 5 Settling...

# Ensure that the Vpp reading is valid.
 14.044  MATH         RetryCount = 0; RetryLimit = 10
 14.045  DO
 14.046  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 14.047  MATH         RetryCount = RetryCount + 1
 14.048  IF           @Debug
 14.049  RSLT         =DEBUG: ([V RetryCount]) BW Ref Reading = [MEM] Vpp
 14.050  ENDIF
 14.051  MATH         RdgOK = (MEM > 2) && (MEM < 4)
 14.052  UNTIL        RdgOK || (RetryCount > RetryLimit)

 14.053  UNTIL        (MEM >= LowerLimit) && (MEM <= UpperLimit)

# Deviating from LeCroy's timebase requirement of 10 ns/div here to
# maintain stable display.  Sub Send Command clears MEM; MEM = SetVpp must
# be set after the sub exits.
 14.054  IF           @Bandwidth == 40E+6
 14.055  MATH         @CmdFunc = "TDIV"; @CmdType = "10NS"
 14.056  CALL         Sub LeCroy WaveAce Send Command DOS
 14.057  MATH         MEM = SetVpp
 14.058  9500         Vpp                          40MH           LS    S
 14.059  ELSEIF       @Bandwidth == 60E+6
 14.060  MATH         @CmdFunc = "TDIV"; @CmdType = "10NS"
 14.061  CALL         Sub LeCroy WaveAce Send Command DOS
 14.062  MATH         MEM = SetVpp
 14.063  9500         Vpp                          60MH           LS    S
 14.064  ELSEIF       @Bandwidth == 100E+6
 14.065  MATH         @CmdFunc = "TDIV"; @CmdType = "5NS"
 14.066  CALL         Sub LeCroy WaveAce Send Command DOS
 14.067  MATH         MEM = SetVpp
 14.068  9500         Vpp                          100MH          LS    S
 14.069  ELSEIF       @Bandwidth == 200E+6
 14.070  MATH         @CmdFunc = "TDIV"; @CmdType = "2.5NS"
 14.071  CALL         Sub LeCroy WaveAce Send Command DOS
 14.072  MATH         MEM = SetVpp
 14.073  9500         Vpp                          200MH          LS    S  L
 14.074  ELSEIF       @Bandwidth == 300E+6
 14.075  MATH         @CmdFunc = "TDIV"; @CmdType = "2.5NS"
 14.076  CALL         Sub LeCroy WaveAce Send Command DOS
 14.077  MATH         MEM = SetVpp
 14.078  9500         Vpp                          300MH          LS    S  L
 14.079  ELSE
 14.080  DISP         @Bandwidth must be:
 14.080  DISP         40, 60, 100, 200, or 300 MHz!
 14.081  END
 14.082  ENDIF

 14.083  WAIT         -t 5 Settling...

# Ensure that the Vpp reading is valid.
 14.084  MATH         RetryCount = 0; RetryLimit = 10
 14.085  DO
 14.086  CALL         Sub LeCroy WaveAce Parameter Value Query DOS
 14.087  MATH         RetryCount = RetryCount + 1
 14.088  IF           @Debug
 14.089  RSLT         =DEBUG: ([V RetryCount]) Max BW Reading = [MEM] Vpp
 14.090  ENDIF
 14.091  MATH         RdgOK = (MEM > 2) && (MEM < 4)
 14.092  UNTIL        RdgOK || (RetryCount > RetryLimit)

 14.093  MATH         MEM2 = FMT(MEM, "%4.2f")
 14.094  MATH         BW = @Bandwidth / 1E+6 ; Channel = "Channel " & @Chan
 14.095  EVAL   -e MEM >= LimitAtBW : [V Channel] @ [V BW] MHz: [MEM2] Vpp

 15.001  HEAD
 15.002  HEAD         -2
 15.003  M9500        *
 15.004  9500         *                                                 S
 15.005  END

 15.006  EVAL   Increment test number


# Sub LeCroy WaveAce (1 yr) Horizontal Acc VER DOS /9500 =====================

 16.001  LABEL        HORIZONTAL_ACCURACY
 16.002  RSLT         =
 16.003  HEAD         {HORIZONTAL ACCURACY}
 16.004  RSLT         =
 16.005  TARGET       -p

 16.006  TSET         TDESC = 0 Hz Deviation
 16.007  DOS          -x WaveAce.exe [V Path] *RST

# Prevent UUT from entering screen saver mode to prevent intermittent
# communication errors.
 16.008  MATH         @CmdFunc = "SCSV"; @CmdType = "NO"
 16.009  CALL         Sub LeCroy WaveAce Send Command DOS

 16.010  DOS          -x WaveAce.exe [V Path] PACU 1,FREQ,C[V @Chan]

 16.011  MATH         @CmdFunc = "TDIV"; @CmdType = "5MS"
 16.012  CALL         Sub LeCroy WaveAce Send Command DOS

 16.013  IF           @Bandwidth >= 200E+6
 16.014  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D50"
 16.015  CALL         Sub LeCroy WaveAce Send Command DOS
 16.016  9500         0.9995MH                     600mVpp        LS    S  L
 16.017  ELSE
 16.018  MATH         @CmdFunc = "C" & @Chan & ":CPL"; @CmdType = "D1M"
 16.019  CALL         Sub LeCroy WaveAce Send Command DOS
 16.020  9500         0.9995MH                     600mVpp        LS    S
 16.021  ENDIF

 16.022  WAIT         -t 4 Settling...
 16.023  TARGET       -m

 16.024  CALL         Sub LeCroy WaveAce Parameter Value Query DOS

 16.025  MATH         MEM = 500 - MEM
 16.026  MEMCX        0.0H           100U

 17.001  HEAD
 17.002  HEAD         -2
 17.003  M9500        *
 17.004  9500         *                                                 S
 17.005  END
